Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.xmlpad.helper
Class AbstractTagHelper

    java.lang.Object
      |
      +--com.japisoft.xmlpad.helper.AbstractTagHelper

All Implemented Interfaces:
  TagHelper

Direct Known Subclasses:
  DTDTagHelper, StaticTagHelper, SystemHelper

public abstract class AbstractTagHelper
extends java.lang.Object
implements TagHelper

Abstract class for tag helper, this class is a facility for managing TagDescriptor

Author:
  (c) 2003 JAPISOFT
See Also:
  `TagDescriptor`, `TagHelper`

Constructor Summary
`AbstractTagHelper()`

Method Summary
`void` | `addTag(java.lang.String name, AttDescriptor[] att, boolean empty)`
`void` | `addTagDescriptor(TagDescriptor tag)` add a new descriptor
`TagDescriptor[]` | `getTags()`
`void` | `setLocation(java.lang.String location)` Set the current location

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTagHelper

    public AbstractTagHelper()

Method Detail

### addTag

    public void addTag(java.lang.String name,
                       AttDescriptor[] att,
                       boolean empty)

### setLocation

    public void setLocation(java.lang.String location)

  Set the current location

  Specified by:
    `setLocation` in interface `TagHelper`

### addTagDescriptor

    public void addTagDescriptor(TagDescriptor tag)

  Description copied from interface: `TagHelper`
  add a new descriptor

  Specified by:
    `addTagDescriptor` in interface `TagHelper`

### getTags

    public TagDescriptor[] getTags()

  Specified by:
    `getTags` in interface `TagHelper`
  Returns:
    available tags

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD